Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class Interpreter

    java.lang.Object
      org.codehaus.groovy.tools.shell.Interpreter

    class Interpreter
    extends Object

Helper to interpret a source buffer.

version:
  $Id: Interpreter.groovy 15932 2009-04-08 03:51:03Z user57 $

author:
  Jason Dillon

Property Summary
`static String` | `SCRIPT_FILENAME`

Constructor Summary
`Interpreter(ClassLoader classLoader, Binding binding)`

Method Summary
`def` | `evaluate(List buffer)`
`GroovyClassLoader` | `getClassLoader()`
`Binding` | `getContext()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### SCRIPT_FILENAME

    static final String SCRIPT_FILENAME

Constructor Detail

### Interpreter

    public Interpreter(ClassLoader classLoader, Binding binding)

Method Detail

### evaluate

    public def evaluate(List buffer)

### getClassLoader

    GroovyClassLoader getClassLoader()

### getContext

    Binding getContext()

Copyright © 2003-2009 The Codehaus. All rights reserved.